package com.steering.mes.zgmil.entity;

/**
 * 数据库表PORT_MIL_BATCH_SAMPLE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2016-08-13
 */
@SuppressWarnings("serial")
public class PortMilBatchSampleResultEntity implements java.io.Serializable {
    /**
     * 从MIL_PLAN 表带过来的ID
     */
    private String planId = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 组号
     */
    private String groupNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 序号
     */
    private String seq = "";
    /**
     * 子管号
     */
    private String matNo = "";
    /**
     * 是否样管
     */
    private String isSamplePipe = "";
    /**
     * 是否有效(1有效)
     */
    private String isValid = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 取样长度(mm)
     */
    private String samplePipeLen = "";
    /**
     * 取样人
     */
    private String getSampleName = "";
    /**
     * 取样时间
     */
    private String getSampleTime = "";
    /**
     * 操作班次
     */
    private String getSampleShift = "";
    /**
     * 班次班组
     */
    private String getSampleClass = "";
    /**
     * 定尺长度
     */
    private String orderLength = "";
    /**
     * 理论重量
     */
    private String actTheoryWeight = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 创建时间
     */
    private String crateTime = "";
    /**
     * 状态(0-合格 1-热区剔除 2-冷区剔除3-下线 4-返线5-留样)
     */
    private String status = "";
    /**
     * 母管号
     */
    private String mMatNo = "";
    /**
     * 组炉标识(0,未组炉 1-组炉)
     */
    private String groupFlag = "";
    /**
     * 操作工序(0-上料 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7分切  9矫直 10-探伤 11-人工质检12-交库)
     */
    private String opProcess = "";
    /**
     * 返线工序(10-探伤返线 11-复检)
     */
    private String backProcess = "";
    /**
     * 母坯号
     */
    private String mMMatNo = "";
    /**
     * 是否入库(0-未入库 1-已入库)
     */
    private String instoreFlag = "";
    /**
     * 交库批号(无用)
     */
    private String realBatchNo = "";
    /**
     * 切后长度(用于探伤子管再切)
     */
    private String recutLength = "";
    /**
     * 切后理论重量
     */
    private String cutActTheoryWeight = "";
    /**
     * 取样长度A端(mm)
     */
    private String samplePipeLenA = "";
    /**
     * 取样长度B端(mm)
     */
    private String samplePipeLenB = "";

    /**
     * 从MIL_PLAN 表带过来的ID
     * @return value
     */
    public String getPlanId() {
        return planId;
    }

    /**
     * 从MIL_PLAN 表带过来的ID
     * @param planId value
     */
    public void setPlanId(String planId) {
        this.planId = planId;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 子管号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 子管号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 是否样管
     * @return value
     */
    public String getIsSamplePipe() {
        return isSamplePipe;
    }

    /**
     * 是否样管
     * @param isSamplePipe value
     */
    public void setIsSamplePipe(String isSamplePipe) {
        this.isSamplePipe = isSamplePipe;
    }

    /**
     * 是否有效(1有效)
     * @return value
     */
    public String getIsValid() {
        return isValid;
    }

    /**
     * 是否有效(1有效)
     * @param isValid value
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 取样长度(mm)
     * @return value
     */
    public String getSamplePipeLen() {
        return samplePipeLen;
    }

    /**
     * 取样长度(mm)
     * @param samplePipeLen value
     */
    public void setSamplePipeLen(String samplePipeLen) {
        this.samplePipeLen = samplePipeLen;
    }

    /**
     * 取样人
     * @return value
     */
    public String getGetSampleName() {
        return getSampleName;
    }

    /**
     * 取样人
     * @param getSampleName value
     */
    public void setGetSampleName(String getSampleName) {
        this.getSampleName = getSampleName;
    }

    /**
     * 取样时间
     * @return value
     */
    public String getGetSampleTime() {
        return getSampleTime;
    }

    /**
     * 取样时间
     * @param getSampleTime value
     */
    public void setGetSampleTime(String getSampleTime) {
        this.getSampleTime = getSampleTime;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getGetSampleShift() {
        return getSampleShift;
    }

    /**
     * 操作班次
     * @param getSampleShift value
     */
    public void setGetSampleShift(String getSampleShift) {
        this.getSampleShift = getSampleShift;
    }

    /**
     * 班次班组
     * @return value
     */
    public String getGetSampleClass() {
        return getSampleClass;
    }

    /**
     * 班次班组
     * @param getSampleClass value
     */
    public void setGetSampleClass(String getSampleClass) {
        this.getSampleClass = getSampleClass;
    }

    /**
     * 定尺长度
     * @return value
     */
    public String getOrderLength() {
        return orderLength;
    }

    /**
     * 定尺长度
     * @param orderLength value
     */
    public void setOrderLength(String orderLength) {
        this.orderLength = orderLength;
    }

    /**
     * 理论重量
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 理论重量
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCrateTime() {
        return crateTime;
    }

    /**
     * 创建时间
     * @param crateTime value
     */
    public void setCrateTime(String crateTime) {
        this.crateTime = crateTime;
    }

    /**
     * 状态(0-合格 1-热区剔除 2-冷区剔除3-下线 4-返线5-留样)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(0-合格 1-热区剔除 2-冷区剔除3-下线 4-返线5-留样)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 母管号
     * @return value
     */
    public String getMMatNo() {
        return mMatNo;
    }

    /**
     * 母管号
     * @param mMatNo value
     */
    public void setMMatNo(String mMatNo) {
        this.mMatNo = mMatNo;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 操作工序(0-上料 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7分切  9矫直 10-探伤 11-人工质检12-交库)
     * @return value
     */
    public String getOpProcess() {
        return opProcess;
    }

    /**
     * 操作工序(0-上料 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7分切  9矫直 10-探伤 11-人工质检12-交库)
     * @param opProcess value
     */
    public void setOpProcess(String opProcess) {
        this.opProcess = opProcess;
    }

    /**
     * 返线工序(10-探伤返线 11-复检)
     * @return value
     */
    public String getBackProcess() {
        return backProcess;
    }

    /**
     * 返线工序(10-探伤返线 11-复检)
     * @param backProcess value
     */
    public void setBackProcess(String backProcess) {
        this.backProcess = backProcess;
    }

    /**
     * 母坯号
     * @return value
     */
    public String getMMMatNo() {
        return mMMatNo;
    }

    /**
     * 母坯号
     * @param mMMatNo value
     */
    public void setMMMatNo(String mMMatNo) {
        this.mMMatNo = mMMatNo;
    }

    /**
     * 是否入库(0-未入库 1-已入库)
     * @return value
     */
    public String getInstoreFlag() {
        return instoreFlag;
    }

    /**
     * 是否入库(0-未入库 1-已入库)
     * @param instoreFlag value
     */
    public void setInstoreFlag(String instoreFlag) {
        this.instoreFlag = instoreFlag;
    }

    /**
     * 交库批号(无用)
     * @return value
     */
    public String getRealBatchNo() {
        return realBatchNo;
    }

    /**
     * 交库批号(无用)
     * @param realBatchNo value
     */
    public void setRealBatchNo(String realBatchNo) {
        this.realBatchNo = realBatchNo;
    }

    /**
     * 切后长度(用于探伤子管再切)
     * @return value
     */
    public String getRecutLength() {
        return recutLength;
    }

    /**
     * 切后长度(用于探伤子管再切)
     * @param recutLength value
     */
    public void setRecutLength(String recutLength) {
        this.recutLength = recutLength;
    }

    /**
     * 切后理论重量
     * @return value
     */
    public String getCutActTheoryWeight() {
        return cutActTheoryWeight;
    }

    /**
     * 切后理论重量
     * @param cutActTheoryWeight value
     */
    public void setCutActTheoryWeight(String cutActTheoryWeight) {
        this.cutActTheoryWeight = cutActTheoryWeight;
    }

    /**
     * 取样长度A端(mm)
     * @return value
     */
    public String getSamplePipeLenA() {
        return samplePipeLenA;
    }

    /**
     * 取样长度A端(mm)
     * @param samplePipeLenA value
     */
    public void setSamplePipeLenA(String samplePipeLenA) {
        this.samplePipeLenA = samplePipeLenA;
    }

    /**
     * 取样长度B端(mm)
     * @return value
     */
    public String getSamplePipeLenB() {
        return samplePipeLenB;
    }

    /**
     * 取样长度B端(mm)
     * @param samplePipeLenB value
     */
    public void setSamplePipeLenB(String samplePipeLenB) {
        this.samplePipeLenB = samplePipeLenB;
    }
}
